<mat-toolbar class="toolbarHeader">
  <button mat-icon-button *ngIf="showMenuButton()"
          (click)="sidenav.toggle()">
    <mat-icon>menu</mat-icon>
  </button>
  <!--  <label>For Business</label>-->
  <div class="logo" fxLayout="row" fxLayoutAlign="center center center">
      <img src="assets/images/yummyLogo.png" /> &nbsp;
    <span style="color: white;">Yummy</span> &nbsp;
    <span style="color: gray;">Wallet</span>
<!--    <img src="./assets/images/headerLogo.png" alt="logo" style="object-fit: cover;">-->
  </div>
  <span class="spacer"></span>
  <span (click)="logout()" fxLayout="row" class="logout"
        fxLayoutAlign="center center center" fxLayoutGap="5px">
      <mat-icon>exit_to_app</mat-icon>
      <label>Έξοδος</label>
    </span>
</mat-toolbar>

<mat-sidenav-container class="drawerSection" autosize>


  <mat-sidenav #sidenav
               class="sidenav"
               [mode]="setSidebarMode()"
               [opened]="showSidebar()"
               (closedStart)="resetSidebar()"
               [fixedInViewport]="false" [fixedTopGap]="0"
               [fixedBottomGap]="0"
               (click)="sidenav.mode === 'side' || sidenav.close()">
    <mat-list class="navList">

      <mat-list-item class="avatarSection" fxLayout="column">

        <div fxLayout="column" fxLayoutAlign="center center center">
          <div fxLayout="row">
            <div class="avatar"></div>

          </div>
          <div fxLayout="row" style="margin-top: 10px;">
            <div fxLayout="column" fxLayoutGap="15px">
              <div style="color: white;">{{user?.identifier}}</div>

              <div fxLayout="row" fxLayoutGap="15px">
                <label  style="color: white;">Κατάστημα:</label>
                <div style="color: white; font-size: 14px;">{{userStore()}}</div>
              </div>
            </div>
          </div>
        </div>


      </mat-list-item>

      <mat-list-item class="sidebarItem" *ngFor="let sidebarItem of sideBarItems"
                     [ngClass]="{'isActive': isActive(sidebarItem)}"
                     (click)="action(sidebarItem)"
      >
        <mat-icon matListIcon *ngIf="sidebarItem.icon">{{sidebarItem.icon}}</mat-icon>
        <label matLine> {{sidebarItem.title}} &nbsp; &nbsp; &nbsp; &nbsp;

          <span *ngIf="sidebarItem.hasBadge && numberOfPendingOrders > 0" style="height: 25px;
  width: 25px;
  background-color: red;
 display:  inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  ">
            <label>
            {{numberOfPendingOrders}}
              </label>
          </span>
<!--          <label [matBadge]="numberOfPendingOrders" matBadgeSize="large" *ngIf="sidebarItem.hasBadge && numberOfPendingOrders > 0" style="color:white; text-decoration: underline; font-size: 14px">-->
<!--           -->
<!--          </label>-->
        </label>

      </mat-list-item>
    </mat-list>
  </mat-sidenav>

  <mat-sidenav-content class="mainContent">
    <app-loading [loading]="loading"></app-loading>
    <div class="mainRouterContent">
      <router-outlet></router-outlet>
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>
